Select Page

[가이드] OS X 10.7 라이언에서 로직 X (Logic X) 실행 방법

어제 출시된 애플의 로직 X(버전 10)의 최소 OS X 버전 요구사항은 10.8.4 마운틴 라이언입니다. 애플의 다른 전문가용 앱(파이널컷 X, 모션, 컴프레서 등)이 최소 10.6 스노 레퍼드에서 실행되고, 아이클라우드 연동이 필요한 iWorks 패키지(Pages, Keynote, Numbers)가 최소 10.7 라이언에서 실행되는 것으로 볼 때, 조금 특이한 경우입니다.

2013-07-18_07-23-24

OS X 10.7 라이언과 10.8 마운틴 라이언은 사실 내부 구조상 큰 차이점이 없고, 로직 X 가 마운틴 라이언만의 프레임워크를 요구하는지 아직까지 확인된바 없습니다. 추후, 업데이트 로드맵에 OS X 10.8 마운틴 라이언 이상 버전에서만 지원되는 프레임워크 사용 또는 사운드 기기의 드라이버 호환성(오직 64비트 드라이버만 지원) 때문에 최소 버전을 OS X 10.8.4 로 설정했는지 몰라도, 여하튼, 어제 출시된 로직 X (10.0.0 버전)은 OS X 10.7 라이언(32비트 커널/익스텐션 시동모드에서도 실행)에서 문제없이 실행됩니다. (단, 외부 사운드 기기 드라이버 호환성은 확인해 보지 못했습니다. 다만, 기술적인 측면에서만 생각해 보면, 10.7 라이언을 64비트 시동 모드로 사용하고, 연결된 기기의 드라이버가 64비트를 지원한다면 특별한 문제가 없을 겁니다. 그러나, 32비트 시동 모드에서 사용할 경우, 외부 기기 드라이버가 호환되지 않을 겁니다. 이 부분은 나중에 확인이 되는데로 본 포스트를 업데이트하겠습니다.)

** OS X 10.7 라이언에서 로직 X (Logic X) 실행 방법

다음 과정을 참고해서 info.plist 파일을 수정합니다.

1. Finder 의 응용 프로그램 폴더에서 로직 X 앱 아이콘을 오른쪽 클릭하고, ‘패키지 내용 보기’ 메뉴를 선택합니다.

2013-07-18_07-56-56

info.plist 파일 변경 전 / 실행 불가

2013-07-18_07-19-42

2. 패키지 내 Contents 폴더에 위치한 info.plist 파일을 오른쪽 클릭 > 기타… 메뉴 클릭 후, 텍스트 편집기를 선택합니다. (만약, 즐겨 사용하는 다른 텍스트 에디터가 있다면 그것을 선택하시면 됩니다.)

2013-07-18_07-20-00

3. 키보드의 커맨드 + F (찾기) 키를 누르고, 10.8.4 를 입력하면, 565 번째 줄의 <string>10.8.4</string> 로 이동합니다. 여기서 10.8.4 를 10.7.0 으로 변경 후, 저장(커맨드 + s)합니다.

2013-07-18_07-21-54

변경 전

2013-07-18_07-22-16

변경 후

4. 로직 X 를 실행합니다.

2013-07-18_07-59-00

로직 X (10.0.0)를 OS X 10.7.5 라이언(32비트 커널/익스텐션)에서 실행시킨 화면

 

2013-07-18_08-03-47
로직 X (10.0.0)를 OS X 10.7.5 라이언(32비트 커널/익스텐션)에서 실행시킨 화면

About The Author

ssumer

DoD Developer/Admin at University of Hawaii at Manoa, 저서: Mac OS X 길라잡이(정보 문화사), Mac OS X 실무테크닉(성안당) / 기술 감역: 인텔 리얼센스 SDK 센서 프로그래밍(정보 문화사), 예제가 가득한 PHP 프로그래밍(정보 문화사), iPhone 가이드(성안당)

Publications

쑤머의 집필서적

Recent Videos

Loading...

ADVERTISEMENT